<?xml version="1.0" encoding="utf-8" ?>
<toolkit:Popup xmlns="http://schemas.microsoft.com/dotnet/2021/maui"
               xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
               xmlns:toolkit="http://schemas.microsoft.com/dotnet/2022/maui/toolkit"
               x:Class="KieselsteinErp.Terminal.Popups.ButtonsSelectionPopup"
               xmlns:controls="clr-namespace:KieselsteinErp.Terminal.Controls"
               xmlns:localization="clr-namespace:LocalizationResourceManager.Maui;assembly=LocalizationResourceManager.Maui"
               x:Name="Popup"
               CanBeDismissedByTappingOutsideOfPopup="False"
               Color="Transparent"
               Size="400,400">

  <Border Style="{StaticResource PopupFrame}" VerticalOptions="Fill" HorizontalOptions="Fill">
    <Grid  RowDefinitions="Auto,*,Auto" ColumnDefinitions="*" >
      <Border Grid.Row="0" Style="{StaticResource PopupTitle}"  Padding="5" >
        <Label Grid.Row="0"  Style="{StaticResource PopupTitleLabel}" Text="{Binding Title}" VerticalOptions="Center" HorizontalOptions="Center"/>
      </Border>
      
        <CollectionView Grid.Row="1" Grid.Column="0" x:Name="collectionView" ItemsSource="{Binding Locations}" >
          <CollectionView.ItemsLayout>
            <GridItemsLayout Orientation="Vertical" Span="3" HorizontalItemSpacing="5" VerticalItemSpacing="5" />
          </CollectionView.ItemsLayout>
          <CollectionView.ItemTemplate>
            <DataTemplate>
              <Grid Padding="3" Margin="3" >
                <Button x:Name="locationButton" Text="{Binding .}" Clicked="LocationButton_Clicked" VerticalOptions="Center" HorizontalOptions="Center" WidthRequest="100" />
              </Grid>
            </DataTemplate>
          </CollectionView.ItemTemplate>
        </CollectionView>
      <Button Grid.Row="2" x:Name="cancelButton" Text="{Binding CancelButtonText}" Margin="15" Clicked="CancelButton_Clicked" />
    </Grid>
  </Border>
</toolkit:Popup>